/*!
 * catalan2ipa v1.0.1 (July 19th 2019)
 * Converts Catalan words to IPA (international phonetic alphabet) notation, with variants for Cental Catalan (Català oriental central), Valencian (Valencià) and Balearic (Balear).
 * 
 * https://github.com/Connum/catalan2ipa#readme
 * 
 * @author  Connum <connum@gmail.com>
 * @license LGPL-3.0+
 * 
 * ©2015-2019 by the following contributors:
 * Vicenç Riullop (en.wiktionary.org user Vriullop)
 * en.wiktionary.org user Erutuon
 * en.wiktionary.org user JohnC5
 * en.wiktionary.org user IvanScrooge98
 * en.wiktionary.org user Rua
 * en.wiktionary.org user Connum
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
(function(f){if(typeof exports==="object"&&typeof module!=="undefined"){module.exports=f()}else if(typeof define==="function"&&define.amd){define([],f)}else{var g;if(typeof window!=="undefined"){g=window}else if(typeof global!=="undefined"){g=global}else if(typeof self!=="undefined"){g=self}else{g=this}g.catalan2ipa = f()}})(function(){var define,module,exports;return (function(){function r(e,n,t){function o(i,f){if(!n[i]){if(!e[i]){var c="function"==typeof require&&require;if(!f&&c)return c(i,!0);if(u)return u(i,!0);var a=new Error("Cannot find module '"+i+"'");throw a.code="MODULE_NOT_FOUND",a}var p=n[i]={exports:{}};e[i][0].call(p.exports,function(r){var n=e[i][1][r];return o(n||r)},p,p.exports,r,e,n,t)}return n[i].exports}for(var u="function"==typeof require&&require,i=0;i<t.length;i++)o(t[i]);return o}return r})()({1:[function(require,module,exports){
"use strict";Object.defineProperty(exports,"__esModule",{value:!0}),exports.default=void 0;var a=require("./helpers"),b={ca:function(e){var o=JSON.parse(JSON.stringify(e));o.stress=e.stress;var t=(o=(0,a.reductionAE)(o))[o.length-1].coda;t=(t=(t=(t=t.replace(/^ɾ(s?)$/g,"$1")).replace(/m[pb]$/g,"m")).replace(/([ln])[td]$/g,"$1")).replace(/[nŋ][kɡ]$/g,"ŋ"),o[o.length-1].coda=t;for(var s=0;s<o.length;s++){var c=o[s],r=o[s-1];"o"!==c.vowel||c.stressed||"w"===c.coda||(c.vowel=c.vowel.replace(/o/g,"u")),c.onset=c.onset.replace(/v/g,"b"),c.coda=c.coda.replace(/nb/g,"mb"),0<s&&/^b/.test(c.onset)&&(r.coda=r.coda.replace(/n$/,"m")),c.coda=c.coda.replace(/ɾ/g,"r"),c.coda=c.coda.replace(/j([ʃʒ])/g,"$1"),c.coda=c.coda.replace(/j(t͡ʃ)/g,"$1"),c.coda=c.coda.replace(/j(d͡ʒ)/g,"$1"),0<s&&(/^[ʃʒ]/.test(c.onset)||/^t͡ʃ/.test(c.onset)||/^d͡ʒ/.test(c.onset))&&(r.coda=r.coda.replace(/j$/g,""))}return o},"ca-valencia":function(e,o){var t=JSON.parse(JSON.stringify(e));t.stress=e.stress;for(var a=0;a<t.length;a++){var s=t[a],c=t[a-1];if(a==t.stress-1&&("ê"===o.midVowelHint||"ô"===o.midVowelHint)&&(s.vowel=s.vowel.replace(/ɛ/g,"e"),s.vowel=s.vowel.replace(/ɔ/g,"o")),s.onset=s.onset.replace(/ʒ/g,"d͡ʒ"),s.onset=s.onset.replace(/d͡d/g,"d"),s.coda=s.coda.replace(/ʒ/g,"d͡ʒ"),s.coda=s.coda.replace(/d͡d/g,"d"),0<a&&"i"===c.vowel&&""===c.coda&&"d͡z"===s.onset?s.onset="z":(0==a&&"ʃ"===s.onset||0<a&&"ʃ"===s.onset&&""!==c.coda&&"j"!==c.coda)&&(s.onset="t͡ʃ"),0<a&&"ʎ"===s.onset&&"ʎ"===c.coda){var r=c.onset+c.vowel+c.coda;/[bpw]aʎ$/.test(r)||/[mv]eʎ$/.test(r)||/tiʎ$/.test(r)||/m[oɔ]ʎ$/.test(r)||/uʎ$/.test(r)&&"a"===s.vowel?(c.coda="l",s.onset="l"):c.coda=""}a==t.length-1&&(s.coda=s.coda.replace(/r(s?)$/g,"ɾ$1"))}return t},"ca-XB":function(e,o){var t=JSON.parse(JSON.stringify(e));t.stress=e.stress,t=(0,a.reductionAE)(t);for(var s=0;s<t.length;s++){var c=t[s],r=t[s-1];if(0<s&&c.stressed&&/[iu]/.test(c.vowel)&&!r.stressed&&(r.vowel=r.vowel.replace(/o/g,"u")),s==t.stress-1&&"ê"===o.midVowelHint&&(c.vowel=c.vowel.replace(/ɛ/g,"ə")),c.coda=c.coda.replace(/j([ʃʒ])/g,"$1"),c.coda=c.coda.replace(/j(t͡ʃ)/g,"$1"),c.coda=c.coda.replace(/j(d͡ʒ)/g,"$1"),0<s&&(/^[ʃʒ]/.test(c.onset)||/^t͡ʃ/.test(c.onset)||/^d͡ʒ/.test(c.onset))&&(r.coda=r.coda.replace(/j$/g,"")),0<s&&"ʎ"===c.onset&&"ʎ"===r.coda){var d=r.onset+r.vowel+r.coda;/[bpw]aʎ$/.test(d)||/[mv]eʎ$/.test(d)||/tiʎ$/.test(d)||/m[oɔ]ʎ$/.test(d)||/uʎ$/.test(d)&&"a"===c.vowel?(r.coda="l",c.onset="l"):r.coda=""}1===t.length?c.coda=c.coda.replace(/ɾ(s?)$/g,"$1"):s==t.length-1&&(c.coda=c.coda.replace(/[rɾ](s?)$/g,"$1"))}return t}},c=b;exports.default=c,module.exports=exports.default;

},{"./helpers":2}],2:[function(require,module,exports){
"use strict";function a(e,r){return d(e)||c(e,r)||b()}function b(){throw new TypeError("Invalid attempt to destructure non-iterable instance")}function c(e,r){var a=[],t=!0,o=!1,s=void 0;try{for(var c,n=e[Symbol.iterator]();!(t=(c=n.next()).done)&&(a.push(c.value),!r||a.length!==r);t=!0);}catch(e){o=!0,s=e}finally{try{t||null==n.return||n.return()}finally{if(o)throw s}}return a}function d(e){if(Array.isArray(e))return e}Object.defineProperty(exports,"__esModule",{value:!0}),exports.fixPrefixes=g,exports.groupSortAndFormat=n,exports.midVowelE=o,exports.midVowelO=p,exports.reductionAE=q,exports.splitSyllables=r,exports.toIPA=s,exports.default=exports.wordFixes=void 0;var e={a:"a","à":"a",e:"e","è":"ɛ","ê":"ɛ","é":"e",i:"i","í":"i","ï":"i",o:"o","ò":"ɔ","ô":"ɔ","ó":"o",u:"u","ú":"u","ü":"u"},f={b:!0,bl:!0,br:!0,c:!0,cl:!0,cr:!0,"ç":!0,d:!0,dj:!0,dr:!0,f:!0,fl:!0,fr:!0,g:!0,gl:!0,gr:!0,gu:!0,"gü":!0,h:!0,i:!0,j:!0,k:!0,kl:!0,kr:!0,l:!0,ll:!0,m:!0,n:!0,ny:!0,"ñ":!0,p:!0,pl:!0,pr:!0,qu:!0,"qü":!0,r:!0,rr:!0,s:!0,ss:!0,t:!0,tg:!0,tj:!0,tr:!0,tx:!0,tz:!0,u:!0,v:!0,vl:!0,w:!0,x:!0,z:!0};function g(e){var r=e,a=!1;return["autoic","autori","biret","biri","bisa","bisell","bisó","biur","contrari","contrau","diari","equise","heterosi","monoi","parasa","parasit","preix","psicosi","sobrera","sobreri"].forEach(function(e){new RegExp("^".concat(e)).test(r)&&(a=!0)}),a?r:(["[eèéê]xtra","pr[eé]"].forEach(function(e){r=r.replace(new RegExp("^(".concat(e,")r([aàeèéiíïoòóuúü])"),"g"),"$1rr$2")}),r=r.replace(new RegExp("^eradic","g"),"erradic"),["antropo","centro","deca","d[ií]no","eco","[eèéê]xtra","hetero","p[aà]ra","post","pré","s[oó]ta","tele"].forEach(function(e){r=r.replace(new RegExp("^(".concat(e,")s([aàeèéiíïoòóuúü])"),"g"),"$1ss$2")}),["pr[eé]","pr[ií]mo","pro","tele"].forEach(function(e){r=r.replace(new RegExp("^(".concat(e,")i(.)"),"g"),"$1ï$2")}),["a[eè]ro","ànte","[aà]nti","[aà]rxi","[aà]uto","bi","b[ií]li","bio","c[oò]ntra","dia","dodeca","[eé]ntre","equi","estereo","f[oó]to","g[aà]stro","gr[eé]co","hendeca","hepta","hexa","h[oò]mo","[ií]nfra","[ií]ntra","m[aà]cro","m[ií]cro","mono","morfo","m[uú]lti","n[eé]o","octo","orto","penta","p[oòô]li","pol[ií]tico","pr[oòô]to","ps[eèê]udo","psico","qu[aà]si","qu[ií]mio","r[aà]dio","s[eèê]mi","s[oó]bre","s[uú]pra","termo","tetra","tri","[uú]ltra","[uu]n[ií]","v[ií]ce"].forEach(function(e){r=(r=(r=r.replace(new RegExp("^(".concat(e,")([rs])([aàeèéiíïoòóuúü])"),"g"),"$1$2$2$3")).replace(new RegExp("^(".concat(e,")i(.)"),"g"),"$1ï$2")).replace(new RegExp("^(".concat(e,")u(.)"),"g"),"$1ü$2")}),r=(r=(r=(r=r.replace(new RegExp("^enfons([aàeèéiíoòóuú])","g"),"enfonz$1")).replace(new RegExp("^endins([aàeèéiíoòóuú])","g"),"endinz$1")).replace(new RegExp("tr([aà])ns([aàeèéiíoòóuúbdghlmv])","g"),"tr$1nz$2")).replace(new RegExp("^inex","g"),"inhex"))}function h(e){var r=e;return r=(r=(r=r.replace(/ny/g,"ñ")).replace(/y([^aeiouàèéêíòóôúïü])/g,"i$1")).replace(/([^aeiouàèéêíòóôúïü·\-.])y/g,"$1i")}function i(e,r){var a=JSON.parse(JSON.stringify(e));a.stress=e.stress,a.forEach(function(e,r){var t=e;t=t.onset+t.vowel+t.coda,r===a.stress-1?t="ˈ".concat(t):a[r].stressed&&(t="ˌ".concat(t)),a[r]=t});var t=r.syllableMarker?r.syllableMarker:"",o=a.join(t);return t&&(o=o.replace(new RegExp("".concat(t.replace(/[.*+?^${}()|[\]\\]/g,"\\$&"),"([ˈˌ])"),"g"),"$1")),"/".concat(o,"/").replace(/^\/(\?)\/$/,"$1")}function j(e){var r=JSON.parse(JSON.stringify(e));r.stress=e.stress;for(var a={b:!0,d:!0,"ɡ":!0,m:!0,n:!0,"ɲ":!0,l:!0,"ʎ":!0,r:!0,"ɾ":!0,v:!0,z:!0,"ʒ":!0},t={p:!0,t:!0,k:!0,f:!0,s:!0,"ʃ":!0,"":!0},o={k:"ɡ",f:"v",p:"b",t:"d",s:"z"},s={b:"p",d:"t","ɡ":"k"},c=0;c<r.length;c++){var n=r[c],l=r[c-1];if((c<r.length-1||c==r.length-1&&/s$/.test(n.coda))&&(n.coda=n.coda.replace(/m[pb]/g,"m"),n.coda=n.coda.replace(/([ln])[td]/g,"$1"),n.coda=n.coda.replace(/n[kɡ]/g,"ŋ")),0<c){var i=n.onset.match(/^[lʎmn]/);i&&(l.coda=l.coda.replace(/t$/g,i)),/^[mbp]/.test(n.onset)?l.coda=l.coda.replace(/n$/,"m"):/^[fv]/.test(n.onset)?l.coda=l.coda.replace(/n$/,"m"):/^[ɡk]/.test(n.onset)?l.coda=l.coda.replace(/n$/,"ŋ"):(/^[ʒʎʃɲ]/.test(n.onset)||/^t͡ʃ/.test(n.onset)||/^d͡ʒ/.test(n.onset))&&(l.coda=l.coda.replace(/l$/,"ʎ"),l.coda=l.coda.replace(/n$/,"ɲ")),"ɡ"===l.coda&&"ʒ"===n.onset&&(l.coda="",n.onset="d͡ʒ")}if(n.coda=n.coda.replace(/n[kɡ]/g,"ŋk"),n.coda=n.coda.replace(/n([ʃʒ])/g,"ɲ$1"),n.coda=n.coda.replace(/n(t͡ʃ)/g,"ɲ$1"),n.coda=n.coda.replace(/n(d͡ʒ)/g,"ɲ$1"),n.coda=n.coda.replace(/l([ʃʒ])/g,"ʎ$1"),n.coda=n.coda.replace(/l(t͡ʃ)/g,"ʎ$1"),n.coda=n.coda.replace(/l(d͡ʒ)/g,"ʎ$1"),n.coda=n.coda.replace(/ɲs/g,"ɲʃ"),0<c){var p=l.coda.substr(-1),d=n.onset.charAt(0);a[d]&&o[p]?l.coda=l.coda.replace(new RegExp("".concat(p,"$")),o[p]):t[d]&&s[p]?l.coda=l.coda.replace(new RegExp("".concat(p,"$")),s[p]):(l.coda=l.coda.replace(/bs/g,"ps"),l.coda=l.coda.replace(/ds/g,"ts"))}0==c&&(n.onset=n.onset.replace(/^ɾ/,"r")),0<c&&/[lns]$/.test(l.coda)&&(n.onset=n.onset.replace(/^ɾ/,"r")),n.coda=n.coda.replace(/^ʃs?/,"ks"),0<c&&"kz"===l.coda&&(l.coda="ɡz"),0<c&&"s"===n.onset&&(l.coda=l.coda.replace(/s$/,"")),0<c&&""===l.onset&&("e"===l.vowel||"ɛ"===l.vowel)&&(""===l.coda&&"ʃ"===n.onset||"ks"===l.coda&&""===n.onset)&&(l.coda="ɡ",n.onset="z")}var u=r[r.length-1].coda;return u=(u=(u=(u=(u=(u=(u=(u=(u=(u=u.replace(/d͡ʒ/g,"t͡ʃ")).replace(/d͡z/g,"t͡s")).replace(/b/g,"p")).replace(/d/g,"t")).replace(/ɡ/g,"k")).replace(/ʒ/g,"ʃ")).replace(/v/g,"f")).replace(/z/g,"s")).replace(/j(t͡ʃ)/g,"$1")).replace(/([ʃs])s/g,"$1"),r[r.length-1].coda=u,r}function k(e){var r=e;return r=(r=(r=(r=(r=(r=(r=(r=(r=(r=(r=(r=(r=(r=(r=(r=(r=(r=r.replace(/ŀ/g,"l")).replace(/r/g,"ɾ")).replace(/ɾɾ/g,"r")).replace(/ss/g,"s")).replace(/ll/g,"ʎ")).replace(/ñ/g,"ɲ")).replace(/[dt]j/g,"d͡ʒ")).replace(/tx/g,"t͡ʃ")).replace(/[dt]z/g,"d͡z")).replace(/ç/g,"s")).replace(/[cq]/g,"k")).replace(/h/g,"")).replace(/g/g,"ɡ")).replace(/j/g,"ʒ")).replace(/x/g,"ʃ")).replace(/i/g,"j")).replace(/y/g,"j")).replace(/[uü]/g,"w")}function l(e){var r=e;return r=(r=(r=(r=(r=(r=(r=(r=(r=(r=(r=(r=(r=(r=(r=(r=(r=r.replace(/([iu])um(s?)$/,"$1üm$2")).replace(/([aeiou])isme(s?)$/,"$1ísme$2")).replace(/([aeiou])ist([ae]s?)$/,"$1íst$2")).replace(/([aeou])ir$/,"$1ír")).replace(/([aeou])int$/,"$1ínt")).replace(/([aeo])ir([éà])$/,"$1ïr$2")).replace(/([^gq]u)ir([éà])$/,"$1ïr$2")).replace(/([aeo])iràs$/,"$1ïràs")).replace(/([^gq]u)iràs$/,"$1ïràs")).replace(/([aeo])ir(e[mu])$/,"$1ïr$2")).replace(/([^gq]u)ir(e[mu])$/,"$1ïr$2")).replace(/([aeo])iran$/,"$1ïran")).replace(/([^gq]u)iran$/,"$1ïran")).replace(/([aeo])iria$/,"$1ïria")).replace(/([^gq]u)iria$/,"$1ïria")).replace(/([aeo])ir(ie[sn])$/,"$1ïr$2")).replace(/([^gq]u)ir(ie[sn])$/,"$1ïr$2")}function m(e){var r=e,t=[{onset:"",vowel:r.charAt(0),coda:""}];for(r=r.substr(1);""!==r;){var o={onset:"",vowel:"",coda:""},s=a(r.match(/^([iu]?)(.)(.*?)$/)||["","","",""],4);o.onset=s[1],o.vowel=s[2],r=s[3],t.push(o)}var c=t.length;return 2<=c&&("i"===t[c-1].vowel||"u"===t[c-1].vowel)&&(t[c-2].coda=t[c-1].vowel,delete t[c-1]),t}function n(e,r,a){var t={};return Object.keys(e).forEach(function(o){var s=i(e[o](r,a),a);t[o]=s}),t}function o(e){var r=e[e.stress-1].coda,a="",t=r;if(e.stress===e.length-1&&(t=(r+=e[e.length-1].onset)+(a=e[e.length-1].vowel)+e[e.length-1].coda),"e"===e[e.stress-1].vowel){if("i"===a||"u"===a)return"è";if(/^ct[ae]?s?$/.test(t))return"è";if("dre"===t||"dres"===t)return"é";if(/^l/.test(r)&&e.stress===e.length)return"è";if("l"===r||"ls"===r||"l·l"===r)return"è";if(("ma"===t||"mes"===t)&&2<e.length)return"ê";if("ns"===t||"na"===t||"nes"===t)return"ê";if("nse"===t||"nses"===t)return"ê";if("nt"===t||"nts"===t)return"é";if(/^r[ae]?s?$/.test(t))return"é";if(/^r[dfjlnrstxyz]/.test(r))return"è";if("sos"===t||"sa"===t||"ses"===t)return"ê";if(/^t[ae]?s?$/.test(t))return"ê"}else if("è"===e[e.stress-1].vowel&&("s"===t||""===t))return"ê";return null}function p(e){var r=e[e.stress-1].coda,a="",t=r;return e.stress===e.length-1&&(t=(r+=e[e.length-1].onset)+(a=e[e.length-1].vowel)+e[e.length-1].coda),"i"===a||"u"===a?"ò":"i"===t.charAt(0)&&"ix"!==t.substr(0,2)?"ò":/^u[^s]/.test(t)?"ò":1!==e.length||""!==t&&"s"!==t&&"ns"!==t?"fa"===t||"fes"===t?"ò":"fr"===r?"ó":"ldre"===t?"ò":"ma"===t||"mes"===t?"ó":"ndre"===t?"ò":/^r[ae]?s?$/.test(t)?"ó":/^r[ft]s?$/.test(t)?"ò":"rme"===t||"rmes"===t?"ó":null:"ò"}function q(e){for(var r=0;r<e.length;r++){var a=e[r],t=e[r-1]||{onset:"",vowel:"",coda:""},o=e[r+1]||{onset:"",vowel:"",coda:""},s=t.vowel+t.coda+a.onset+a.vowel,c=a.vowel+a.coda+o.onset+o.vowel,n=!0;a.stressed?n=!1:"əe"===s?n=!1:"ea"===c||"eɔ"===c?n=!1:r<e.stress-1&&"ee"===c?o.vowel="ə":r>e.stress&&"ee"===c?n=!1:("oe"===s||"ɔe"===s)&&(n=!1),n&&(a.vowel=a.vowel.replace(/[ae]/g,"ə"))}return e}function r(e){for(var r=[],t=e;""!==t;){var o,s=void 0,c=a(t.match(/^([^aeiouàèéêíòóôúïü]*)(.*?)$/),3);o=c[1];var n=a((t=c[2]).match(/^([aeiouàèéêíòóôúïü]*)(.*?)$/),3);if(s=n[1],t=n[2],""===s)r[r.length-1].coda+=o;else{var l=o,i=s.charAt(0);(/[gq]$/.test(l)&&("ü"===i||"u"===i&&"u"!==s)||(""===l||"h"===l)&&0===r.length&&"i"===i&&"i"!==s)&&(l+=s.charAt(0),s=s.substr(1));var p=m(s);p[0].onset=l+p[0].onset,p.forEach(function(e){r.push(e)})}}for(var d=1;d<r.length;d++)for(var u,g=r[d],$=r[d-1];g.onset&&!f[g.onset]&&(u=g.onset.charAt(0),g.onset=g.onset.substr(1),!/[·\-.]/.test(u));)$.coda+=u;if(r.forEach(function(e,a){var t=e;/^[àèéêíòóôú]$/.test(t.vowel)&&(r.stress=a+1,t.stressed=!0)}),!r.stress){var v=r.length;if(1===v)r.stress=1;else{var w=r[v-1];r.stress=""===w.coda||"s"===w.coda||"n"===w.coda&&("e"===w.vowel||"i"===w.vowel)?v-1:v}r[r.stress-1].stressed=!0}return r}function s(r,a){var t=r;if(/[eéèoòó]/.test(t[t.stress-1].vowel))if(a.midVowelHint)t[t.stress-1].vowel=a.midVowelHint;else if("e"===t[t.stress-1].vowel||"o"===t[t.stress-1].vowel){var o='The stressed vowel "'.concat(t[t.stress-1].vowel,'" is ambiguous. Please mark it with an acute, grave, or circumflex accent: ').concat([769,768,770].map(function(e){return t[t.stress-1].vowel+String.fromCharCode(e)}).join(", ").replace(/^(.+), /,"$1, or "),".");if(a.throwError)throw new Error(o);var s=[{onset:"",vowel:"?",coda:""}];return s._error=o,s}var c=[];return c.stress=t.stress,t.forEach(function(e,r){c[r]={onset:e.onset,vowel:e.vowel,coda:e.coda,stressed:e.stressed||!1}}),c.forEach(function(r,a){var o=r;"s"===o.onset&&0<a&&(""===t[a-1].coda||"i"===t[a-1].coda||"u"===t[a-1].coda)&&(o.onset="z"),/^[eèéêií]$/.test(o.vowel)&&(o.onset=o.onset.replace(/tg$/,"d͡ʒ"),o.onset=o.onset.replace(/c$/,"s"),o.onset=o.onset.replace(/g$/,"ʒ"),o.onset=o.onset.replace(/qu$/,"k"),o.onset=o.onset.replace(/gu$/,"ɡ")),o.coda=o.coda.replace(/igs?$/,"id͡ʒ"),o.onset=k(o.onset),o.coda=k(o.coda),o.vowel=o.vowel.replace(new RegExp("[".concat(Object.keys(e).join(""),"]"),"g"),function(r){return e[r]})}),c=j(c)}var t=function(e){var r=e;return r=h(r=l(r=g(r=(r=r.replace(/-([rs]?)/g,"-$1$1")).replace(/rç$/g,"rrs"))))};exports.wordFixes=t;var u={};exports.default=u;

},{}],3:[function(require,module,exports){
"use strict";Object.defineProperty(exports,"__esModule",{value:!0}),exports.default=void 0;var a=c(require("./accents")),b=require("./helpers");function c(r){return r&&r.__esModule?r:{default:r}}function d(r,t){return g(r)||f(r,t)||e()}function e(){throw new TypeError("Invalid attempt to destructure non-iterable instance")}function f(r,e){var t=[],o=!0,l=!1,n=void 0;try{for(var i,a=r[Symbol.iterator]();!(o=(i=a.next()).done)&&(t.push(i.value),!e||t.length!==e);o=!0);}catch(r){l=!0,n=r}finally{try{o||null==a.return||a.return()}finally{if(l)throw n}}return t}function g(r){if(Array.isArray(r))return r}function h(){return(h=Object.assign||function(r){for(var e,t=1;t<arguments.length;t++)for(var o in e=arguments[t])Object.prototype.hasOwnProperty.call(e,o)&&(r[o]=e[o]);return r}).apply(this,arguments)}var i={midVowelHint:null,syllableMarker:!0,throwError:!0};function j(r){var e=1<arguments.length&&void 0!==arguments[1]?arguments[1]:i,t=(0,b.wordFixes)(r.toLowerCase()),o=e;o=o===i?h({},i):h({},i,o);var l=(0,b.splitSyllables)(t);if(!0===o.syllableMarker&&(o.syllableMarker="."),null===o.midVowelHint)if(/[éêòóô]/.test(l[l.stress-1].vowel)){var n=d(l[l.stress-1].vowel.match(/[éêòóô]/,""),1);o.midVowelHint=n[0]}else/[eè]/.test(l[l.stress-1].vowel)?o.midVowelHint=(0,b.midVowelE)(l):"o"===l[l.stress-1].vowel&&(o.midVowelHint=(0,b.midVowelO)(l));l=(0,b.toIPA)(l,o);var s=(0,b.groupSortAndFormat)(a.default,l,o);return l._error&&(s._error=l._error),s}var k=j;exports.default=k,module.exports=exports.default;

},{"./accents":1,"./helpers":2}]},{},[3])(3)
});
